## com.lowagie.rups.io
Class FileCloseAction

    java.lang.Object
      com.lowagie.rups.io.FileCloseAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class FileCloseAction

extends java.lang.Object
implements java.awt.event.ActionListener

Action that tells an observable to close a file and/or releases resources relevant for the file that is being closed.

Field Summary
`protected java.util.Observable` `observable` An object that allows you to close a file.

Constructor Summary
`FileCloseAction(java.util.Observable observable)` Creates the close action.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### observable

    protected java.util.Observable observable

  An object that allows you to close a file.

Constructor Detail

### FileCloseAction

    public FileCloseAction(java.util.Observable observable)

  Creates the close action.

  Parameters:
    `observable` - the object that expects you to close a file.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`

Hosted by Hostbasket